%define module	pathtools

Name:		python-%{module}
Version:	0.1.2
Release:	%mkrel 1
Summary:	Pattern matching and various utilities for file systems paths
Group:		Development/Python
License:	MIT
URL:		https://github.com/gorakhargosh/pathtools
Source0:	https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
%{name} is a Python API library for common path
and pattern functionality.

%package -n	python3-%{module}
Summary:	Pattern matching and various utilities for file systems paths
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
%{name} is a Python 3 API library for common path
and pattern functionality.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

# remove hashbang from lib's files
sed -i -e '/#!\//d' pathtools/*.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files
%doc AUTHORS README
%license LICENSE
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc AUTHORS README
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Apr 10 2016 daviddavid <daviddavid> 0.1.2-1.mga6
+ Revision: 1000101
- imported package python-pathtools

